| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
GaudiPython::TupleAlgDecorator Class Reference

Simple class to perform the "decoration" of Tuples in Python/ROOT. More...

`#include <GaudiPython/TupleDecorator.h>`

## Static Public Member Functions
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const GaudiTupleAlg &algo, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const GaudiTupleAlg &algo, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...

## Detailed Description

Simple class to perform the "decoration" of Tuples in Python/ROOT.

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2005-08-17

Definition at line 269 of file TupleDecorator.h.

## Member Function Documentation

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 665 of file TupleDecorator.cpp.

667 {
668 return algo.evtCol( title, clid );
669 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:184

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 671 of file TupleDecorator.cpp.

673 {
674 return algo.evtCol( ID, title, clid );
675 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:184

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 677 of file TupleDecorator.cpp.

679 {
680 return algo.evtCol( ID, title, clid );
681 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:184

Tuples::Tuple GaudiPython::TupleAlgDecorator::evtCol | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 683 of file TupleDecorator.cpp.

685 {
686 return algo.evtCol( ID, title, clid );
687 }
GaudiTuples::evtCol
Tuple evtCol(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an Event Tag Collection object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:184

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 641 of file TupleDecorator.cpp.

643 {
644 return algo.nTuple( title, clid );
645 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:146

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 647 of file TupleDecorator.cpp.

649 {
650 return algo.nTuple( ID, title, clid );
651 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:146

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 653 of file TupleDecorator.cpp.

655 {
656 return algo.nTuple( ID, title, clid );
657 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:146

Tuples::Tuple GaudiPython::TupleAlgDecorator::nTuple | ( | const GaudiTupleAlg & | algo,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| static

get n-tuple (book-on-demand)

Definition at line 659 of file TupleDecorator.cpp.

661 {
662 return algo.nTuple( ID, title, clid );
663 }
GaudiTuples::nTuple
Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const
Access an N-Tuple object (book on-demand) with unique identifier.
Definition: GaudiTuples.icpp:146

The documentation for this class was generated from the following files:

- GaudiPython/GaudiPython/TupleDecorator.h
- GaudiPython/src/Lib/TupleDecorator.cpp